<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_slideinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_slide_edit = new ctbl_slide_edit();
$Page =& $tbl_slide_edit;

// Page init
$tbl_slide_edit->Page_Init();

// Page main
$tbl_slide_edit->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_slide_edit = new ew_Page("tbl_slide_edit");

// page properties
tbl_slide_edit.PageID = "edit"; // page ID
tbl_slide_edit.FormID = "ftbl_slideedit"; // form ID
var EW_PAGE_ID = tbl_slide_edit.PageID; // for backward compatibility

// extend page with ValidateForm function
tbl_slide_edit.ValidateForm = function(fobj) {
	ew_PostAutoSuggest(fobj);
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_photo"];
		aelm = fobj.elements["a" + infix + "_photo"];
		var chk_photo = (aelm && aelm[0])?(aelm[2].checked):true;
		if (elm && chk_photo && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_slide->photo->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo"];
		if (elm && !ew_CheckFileType(elm.value))
			return ew_OnError(this, elm, ewLanguage.Phrase("WrongFileType"));
		elm = fobj.elements["x" + infix + "_show_photo"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_slide->show_photo->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_slide->order_by->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tbl_slide->order_by->FldErrMsg()) ?>");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
tbl_slide_edit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_slide_edit.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_slide_edit.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_slide->TableCaption() ?><br><br>
<a href="<?php echo $tbl_slide->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_slide_edit->ShowMessage();
?>
<form name="ftbl_slideedit" id="ftbl_slideedit" action="<?php echo ew_CurrentPage() ?>" method="post" enctype="multipart/form-data" onsubmit="return tbl_slide_edit.ValidateForm(this);">
<p>
<input type="hidden" name="a_table" id="a_table" value="tbl_slide">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($tbl_slide->photo_id->Visible) { // photo_id ?>
	<tr<?php echo $tbl_slide->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_slide->photo_id->FldCaption() ?></td>
		<td<?php echo $tbl_slide->photo_id->CellAttributes() ?>><span id="el_photo_id">
<div<?php echo $tbl_slide->photo_id->ViewAttributes() ?>><?php echo $tbl_slide->photo_id->EditValue ?></div><input type="hidden" name="x_photo_id" id="x_photo_id" value="<?php echo ew_HtmlEncode($tbl_slide->photo_id->CurrentValue) ?>">
</span><?php echo $tbl_slide->photo_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_slide->photo->Visible) { // photo ?>
	<tr<?php echo $tbl_slide->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_slide->photo->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_slide->photo->CellAttributes() ?>><span id="el_photo">
<div id="old_x_photo">
<?php if ($tbl_slide->photo->HrefValue <> "" || $tbl_slide->photo->TooltipValue <> "") { ?>
<?php if (!empty($tbl_slide->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_slide->photo->UploadPath) . $tbl_slide->photo->Upload->DbValue ?>" border=0<?php echo $tbl_slide->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_slide->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } else { ?>
<?php if (!empty($tbl_slide->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_slide->photo->UploadPath) . $tbl_slide->photo->Upload->DbValue ?>" border=0<?php echo $tbl_slide->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_slide->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } ?>
</div>
<div id="new_x_photo">
<?php if (!empty($tbl_slide->photo->Upload->DbValue)) { ?>
<label><input type="radio" name="a_photo" id="a_photo" value="1" checked="checked"><?php echo $Language->Phrase("Keep") ?></label>&nbsp;
<label><input type="radio" name="a_photo" id="a_photo" value="2" disabled="disabled"><?php echo $Language->Phrase("Remove") ?></label>&nbsp;
<label><input type="radio" name="a_photo" id="a_photo" value="3"><?php echo $Language->Phrase("Replace") ?><br></label>
<?php $tbl_slide->photo->EditAttrs["onchange"] = "this.form.a_photo[2].checked=true;" . @$tbl_slide->photo->EditAttrs["onchange"]; ?>
<?php } else { ?>
<input type="hidden" name="a_photo" id="a_photo" value="3">
<?php } ?>
<input type="file" name="x_photo" id="x_photo" title="<?php echo $tbl_slide->photo->FldTitle() ?>" size="30"<?php echo $tbl_slide->photo->EditAttributes() ?>>
</div>
</span><?php echo $tbl_slide->photo->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_slide->show_photo->Visible) { // show_photo ?>
	<tr<?php echo $tbl_slide->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_slide->show_photo->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_slide->show_photo->CellAttributes() ?>><span id="el_show_photo">
<div id="tp_x_show_photo" class="<?php echo EW_ITEM_TEMPLATE_CLASSNAME; ?>"><input type="checkbox" name="x_show_photo[]" id="x_show_photo[]" title="<?php echo $tbl_slide->show_photo->FldTitle() ?>" value="{value}"<?php echo $tbl_slide->show_photo->EditAttributes() ?>></div>
<div id="dsl_x_show_photo" repeatcolumn="5">
<?php
$arwrk = $tbl_slide->show_photo->EditValue;
if (is_array($arwrk)) {
	$armultiwrk= explode(",", strval($tbl_slide->show_photo->CurrentValue));
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = "";
		for ($ari = 0; $ari < count($armultiwrk); $ari++) {
			if (strval($arwrk[$rowcntwrk][0]) == trim(strval($armultiwrk[$ari]))) {
				$selwrk = " checked=\"checked\"";
				if ($selwrk <> "") $emptywrk = FALSE;
				break;
			}
		}

		// Note: No spacing within the LABEL tag
?>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 1) ?>
<label><input type="checkbox" name="x_show_photo[]" id="x_show_photo[]" title="<?php echo $tbl_slide->show_photo->FldTitle() ?>" value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?><?php echo $tbl_slide->show_photo->EditAttributes() ?>><?php echo $arwrk[$rowcntwrk][1] ?></label>
<?php echo ew_RepeatColumnTable($rowswrk, $rowcntwrk, 5, 2) ?>
<?php
	}
}
?>
</div>
</span><?php echo $tbl_slide->show_photo->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_slide->order_by->Visible) { // order_by ?>
	<tr<?php echo $tbl_slide->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_slide->order_by->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_slide->order_by->CellAttributes() ?>><span id="el_order_by">
<input type="text" name="x_order_by" id="x_order_by" title="<?php echo $tbl_slide->order_by->FldTitle() ?>" size="30" value="<?php echo $tbl_slide->order_by->EditValue ?>"<?php echo $tbl_slide->order_by->EditAttributes() ?>>
</span><?php echo $tbl_slide->order_by->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>">
</form>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php
$tbl_slide_edit->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_slide_edit {

	// Page ID
	var $PageID = 'edit';

	// Table name
	var $TableName = 'tbl_slide';

	// Page object name
	var $PageObjName = 'tbl_slide_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_slide;
		if ($tbl_slide->UseTokenInUrl) $PageUrl .= "t=" . $tbl_slide->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_slide;
		if ($tbl_slide->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_slide->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_slide->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_slide_edit() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_slide)
		$GLOBALS["tbl_slide"] = new ctbl_slide();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_slide', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_slide;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Create form object
		$objForm = new cFormObj();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $sDbMasterFilter;
	var $sDbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $tbl_slide;

		// Load key from QueryString
		if (@$_GET["photo_id"] <> "")
			$tbl_slide->photo_id->setQueryStringValue($_GET["photo_id"]);
		if (@$_POST["a_edit"] <> "") {
			$tbl_slide->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->GetUploadFiles(); // Get upload files
			$this->LoadFormValues(); // Get form values

			// Validate form
			if (!$this->ValidateForm()) {
				$tbl_slide->CurrentAction = ""; // Form error, reset action
				$this->setMessage($gsFormError);
				$tbl_slide->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		} else {
			$tbl_slide->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($tbl_slide->photo_id->CurrentValue == "")
			$this->Page_Terminate("tbl_slidelist.php"); // Invalid key, return to list
		switch ($tbl_slide->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					$this->setMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tbl_slidelist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$tbl_slide->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					$this->setMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $tbl_slide->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$tbl_slide->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		$tbl_slide->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $tbl_slide;

		// Get upload data
			if ($tbl_slide->photo->Upload->UploadFile()) {

				// No action required
			} else {
				echo $tbl_slide->photo->Upload->Message;
				$this->Page_Terminate();
				exit();
			}
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $tbl_slide;
		$tbl_slide->photo_id->setFormValue($objForm->GetValue("x_photo_id"));
		$tbl_slide->show_photo->setFormValue($objForm->GetValue("x_show_photo"));
		$tbl_slide->order_by->setFormValue($objForm->GetValue("x_order_by"));
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm, $tbl_slide;
		$this->LoadRow();
		$tbl_slide->photo_id->CurrentValue = $tbl_slide->photo_id->FormValue;
		$tbl_slide->show_photo->CurrentValue = $tbl_slide->show_photo->FormValue;
		$tbl_slide->order_by->CurrentValue = $tbl_slide->order_by->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_slide;
		$sFilter = $tbl_slide->KeyFilter();

		// Call Row Selecting event
		$tbl_slide->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_slide->CurrentFilter = $sFilter;
		$sSql = $tbl_slide->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_slide->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_slide;
		$tbl_slide->photo_id->setDbValue($rs->fields('photo_id'));
		$tbl_slide->photo->Upload->DbValue = $rs->fields('photo');
		$tbl_slide->show_photo->setDbValue($rs->fields('show_photo'));
		$tbl_slide->order_by->setDbValue($rs->fields('order_by'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_slide;

		// Initialize URLs
		// Call Row_Rendering event

		$tbl_slide->Row_Rendering();

		// Common render codes for all row types
		// photo_id

		$tbl_slide->photo_id->CellCssStyle = ""; $tbl_slide->photo_id->CellCssClass = "";
		$tbl_slide->photo_id->CellAttrs = array(); $tbl_slide->photo_id->ViewAttrs = array(); $tbl_slide->photo_id->EditAttrs = array();

		// photo
		$tbl_slide->photo->CellCssStyle = ""; $tbl_slide->photo->CellCssClass = "";
		$tbl_slide->photo->CellAttrs = array(); $tbl_slide->photo->ViewAttrs = array(); $tbl_slide->photo->EditAttrs = array();

		// show_photo
		$tbl_slide->show_photo->CellCssStyle = ""; $tbl_slide->show_photo->CellCssClass = "";
		$tbl_slide->show_photo->CellAttrs = array(); $tbl_slide->show_photo->ViewAttrs = array(); $tbl_slide->show_photo->EditAttrs = array();

		// order_by
		$tbl_slide->order_by->CellCssStyle = ""; $tbl_slide->order_by->CellCssClass = "";
		$tbl_slide->order_by->CellAttrs = array(); $tbl_slide->order_by->ViewAttrs = array(); $tbl_slide->order_by->EditAttrs = array();
		if ($tbl_slide->RowType == EW_ROWTYPE_VIEW) { // View row

			// photo_id
			$tbl_slide->photo_id->ViewValue = $tbl_slide->photo_id->CurrentValue;
			$tbl_slide->photo_id->CssStyle = "";
			$tbl_slide->photo_id->CssClass = "";
			$tbl_slide->photo_id->ViewCustomAttributes = "";

			// photo
			if (!ew_Empty($tbl_slide->photo->Upload->DbValue)) {
				$tbl_slide->photo->ViewValue = $tbl_slide->photo->Upload->DbValue;
				$tbl_slide->photo->ImageWidth = 200;
				$tbl_slide->photo->ImageHeight = 0;
				$tbl_slide->photo->ImageAlt = $tbl_slide->photo->FldAlt();
			} else {
				$tbl_slide->photo->ViewValue = "";
			}
			$tbl_slide->photo->CssStyle = "";
			$tbl_slide->photo->CssClass = "";
			$tbl_slide->photo->ViewCustomAttributes = "";

			// show_photo
			if (strval($tbl_slide->show_photo->CurrentValue) <> "") {
				$tbl_slide->show_photo->ViewValue = "";
				$arwrk = explode(",", strval($tbl_slide->show_photo->CurrentValue));
				for ($ari = 0; $ari < count($arwrk); $ari++) {
					switch (trim($arwrk[$ari])) {
						case "1":
							$tbl_slide->show_photo->ViewValue .= "Cambodia";
							break;
						case "2":
							$tbl_slide->show_photo->ViewValue .= "Viet Name";
							break;
						case "3":
							$tbl_slide->show_photo->ViewValue .= "Laos";
							break;
						case "4":
							$tbl_slide->show_photo->ViewValue .= "Thailand";
							break;
						case "5":
							$tbl_slide->show_photo->ViewValue .= "Myanmar";
							break;
						case "6":
							$tbl_slide->show_photo->ViewValue .= "Destination";
							break;
						case "7":
							$tbl_slide->show_photo->ViewValue .= "Tour";
							break;
						case "8":
							$tbl_slide->show_photo->ViewValue .= "Hotel";
							break;
						case "9":
							$tbl_slide->show_photo->ViewValue .= "Tailor Made";
							break;
						case "10":
							$tbl_slide->show_photo->ViewValue .= "About";
							break;
						case "11":
							$tbl_slide->show_photo->ViewValue .= "Contact";
							break;
						default:
							$tbl_slide->show_photo->ViewValue .= trim($arwrk[$ari]);
					}
					if ($ari < count($arwrk)-1) $tbl_slide->show_photo->ViewValue .= ew_ViewOptionSeparator($ari);
				}
			} else {
				$tbl_slide->show_photo->ViewValue = NULL;
			}
			$tbl_slide->show_photo->CssStyle = "";
			$tbl_slide->show_photo->CssClass = "";
			$tbl_slide->show_photo->ViewCustomAttributes = "";

			// order_by
			$tbl_slide->order_by->ViewValue = $tbl_slide->order_by->CurrentValue;
			$tbl_slide->order_by->CssStyle = "";
			$tbl_slide->order_by->CssClass = "";
			$tbl_slide->order_by->ViewCustomAttributes = "";

			// photo_id
			$tbl_slide->photo_id->HrefValue = "";
			$tbl_slide->photo_id->TooltipValue = "";

			// photo
			$tbl_slide->photo->HrefValue = "";
			$tbl_slide->photo->TooltipValue = "";

			// show_photo
			$tbl_slide->show_photo->HrefValue = "";
			$tbl_slide->show_photo->TooltipValue = "";

			// order_by
			$tbl_slide->order_by->HrefValue = "";
			$tbl_slide->order_by->TooltipValue = "";
		} elseif ($tbl_slide->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// photo_id
			$tbl_slide->photo_id->EditCustomAttributes = "";
			$tbl_slide->photo_id->EditValue = $tbl_slide->photo_id->CurrentValue;
			$tbl_slide->photo_id->CssStyle = "";
			$tbl_slide->photo_id->CssClass = "";
			$tbl_slide->photo_id->ViewCustomAttributes = "";

			// photo
			$tbl_slide->photo->EditCustomAttributes = "";
			if (!ew_Empty($tbl_slide->photo->Upload->DbValue)) {
				$tbl_slide->photo->EditValue = $tbl_slide->photo->Upload->DbValue;
				$tbl_slide->photo->ImageWidth = 200;
				$tbl_slide->photo->ImageHeight = 0;
				$tbl_slide->photo->ImageAlt = $tbl_slide->photo->FldAlt();
			} else {
				$tbl_slide->photo->EditValue = "";
			}

			// show_photo
			$tbl_slide->show_photo->EditCustomAttributes = "";
			$arwrk = array();
			$arwrk[] = array("1", "Cambodia");
			$arwrk[] = array("2", "Viet Name");
			$arwrk[] = array("3", "Laos");
			$arwrk[] = array("4", "Thailand");
			$arwrk[] = array("5", "Myanmar");
			$arwrk[] = array("6", "Destination");
			$arwrk[] = array("7", "Tour");
			$arwrk[] = array("8", "Hotel");
			$arwrk[] = array("9", "Tailor Made");
			$arwrk[] = array("10", "About");
			$arwrk[] = array("11", "Contact");
			$tbl_slide->show_photo->EditValue = $arwrk;

			// order_by
			$tbl_slide->order_by->EditCustomAttributes = "";
			$tbl_slide->order_by->EditValue = ew_HtmlEncode($tbl_slide->order_by->CurrentValue);

			// Edit refer script
			// photo_id

			$tbl_slide->photo_id->HrefValue = "";

			// photo
			$tbl_slide->photo->HrefValue = "";

			// show_photo
			$tbl_slide->show_photo->HrefValue = "";

			// order_by
			$tbl_slide->order_by->HrefValue = "";
		}

		// Call Row Rendered event
		if ($tbl_slide->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_slide->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError, $tbl_slide;

		// Initialize form error message
		$gsFormError = "";
		if (!ew_CheckFileType($tbl_slide->photo->Upload->FileName)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("WrongFileType");
		}
		if ($tbl_slide->photo->Upload->FileSize > 0 && EW_MAX_FILE_SIZE > 0 && $tbl_slide->photo->Upload->FileSize > EW_MAX_FILE_SIZE) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= str_replace("%s", EW_MAX_FILE_SIZE, $Language->Phrase("MaxFileSize"));
		}
		if (in_array($tbl_slide->photo->Upload->Error, array(1, 2, 3, 6, 7, 8))) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("PhpUploadErr" . $tbl_slide->photo->Upload->Error);
		}

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if ($tbl_slide->photo->Upload->Action == "3" && is_null($tbl_slide->photo->Upload->Value)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_slide->photo->FldCaption();
		}
		if ($tbl_slide->show_photo->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_slide->show_photo->FldCaption();
		}
		if (!is_null($tbl_slide->order_by->FormValue) && $tbl_slide->order_by->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_slide->order_by->FldCaption();
		}
		if (!ew_CheckInteger($tbl_slide->order_by->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= $tbl_slide->order_by->FldErrMsg();
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language, $tbl_slide;
		$sFilter = $tbl_slide->KeyFilter();
		$tbl_slide->CurrentFilter = $sFilter;
		$sSql = $tbl_slide->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold =& $rs->fields;
			$rsnew = array();

			// photo
			$tbl_slide->photo->Upload->SaveToSession(); // Save file value to Session
						if ($tbl_slide->photo->Upload->Action == "2" || $tbl_slide->photo->Upload->Action == "3") { // Update/Remove
			$tbl_slide->photo->Upload->DbValue = $rs->fields('photo'); // Get original value
			if (is_null($tbl_slide->photo->Upload->Value)) {
				$rsnew['photo'] = NULL;
			} else {
				if ($tbl_slide->photo->Upload->FileName == $tbl_slide->photo->Upload->DbValue) { // Upload file name same as old file name
					$rsnew['photo'] = $tbl_slide->photo->Upload->FileName;
				} else {
					$rsnew['photo'] = ew_UploadFileNameEx(ew_UploadPathEx(TRUE, $tbl_slide->photo->UploadPath), $tbl_slide->photo->Upload->FileName);
				}
			}
			$tbl_slide->photo->ImageWidth = 1600; // Resize width
			$tbl_slide->photo->ImageHeight = 0; // Resize height
			}

			// show_photo
			$tbl_slide->show_photo->SetDbValueDef($rsnew, $tbl_slide->show_photo->CurrentValue, "", FALSE);

			// order_by
			$tbl_slide->order_by->SetDbValueDef($rsnew, $tbl_slide->order_by->CurrentValue, 0, FALSE);

			// Call Row Updating event
			$bUpdateRow = $tbl_slide->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
			if (!ew_Empty($tbl_slide->photo->Upload->Value)) {
				$tbl_slide->photo->Upload->RestoreFromSession(); // Restore original value
				$tbl_slide->photo->Upload->Resize($tbl_slide->photo->ImageWidth, $tbl_slide->photo->ImageHeight, 75);
			}
			$tbl_slide->photo->ImageWidth = 0; // Reset image width
			$tbl_slide->photo->ImageHeight = 0; // Reset image height
			if (!ew_Empty($tbl_slide->photo->Upload->Value)) {
				if ($tbl_slide->photo->Upload->FileName == $tbl_slide->photo->Upload->DbValue) { // Overwrite if same file name
					$tbl_slide->photo->Upload->SaveToFile($tbl_slide->photo->UploadPath, $rsnew['photo'], TRUE);
					$tbl_slide->photo->Upload->DbValue = ""; // No need to delete any more
				} else {
					$tbl_slide->photo->Upload->SaveToFile($tbl_slide->photo->UploadPath, $rsnew['photo'], FALSE);
				}
			}
			if ($tbl_slide->photo->Upload->Action == "2" || $tbl_slide->photo->Upload->Action == "3") { // Update/Remove
				if ($tbl_slide->photo->Upload->DbValue <> "")
					@unlink(ew_UploadPathEx(TRUE, $tbl_slide->photo->UploadPath) . $tbl_slide->photo->Upload->DbValue);
			}
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$EditRow = $conn->Execute($tbl_slide->UpdateSQL($rsnew));
				$conn->raiseErrorFn = '';
			} else {
				if ($tbl_slide->CancelMessage <> "") {
					$this->setMessage($tbl_slide->CancelMessage);
					$tbl_slide->CancelMessage = "";
				} else {
					$this->setMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$tbl_slide->Row_Updated($rsold, $rsnew);
		$rs->Close();

		// photo
		$tbl_slide->photo->Upload->RemoveFromSession(); // Remove file value from Session
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
